package ro.ieval.unical;

import android.app.Fragment;
import android.os.Bundle;
import android.text.InputType;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.Switch;
import android.widget.CompoundButton.OnCheckedChangeListener;

public final class TrivialFragment extends Fragment {
	public static final String ARGUMENT_LAYOUT="layout";

	@Override
    public View onCreateView(final LayoutInflater inflater, final ViewGroup container, final Bundle savedInstanceState) {
		
		final View view=inflater.inflate(getArguments().getInt(ARGUMENT_LAYOUT), container, false);
		final LinearLayout ll = (LinearLayout) view.findViewById(R.id.repeat_layout);
		
		if(ll != null){
			final Switch repeatSwitch = (Switch) view.findViewById(R.id.repeat_switch);
			Utils.setEnabledRecursively(ll, false);
			
			repeatSwitch.setOnCheckedChangeListener(new OnCheckedChangeListener() {
				@Override
				public void onCheckedChanged(final CompoundButton buttonView, final boolean isChecked) {
					if(isChecked) {
						Utils.setEnabledRecursively(ll, true);
						Spinner repeatType = (Spinner) view.findViewById(R.id.repeat_type);
						final EditText repeatCount = (EditText) view.findViewById(R.id.repeat_count);
						
						repeatType.setOnItemSelectedListener(new OnItemSelectedListener() {

							@Override
							public void onItemSelected(AdapterView<?> arg0,
									View arg1, int arg2, long arg3) {
								if(arg2==1) {
									//TODO adauga un date picker
									//TODO sterge repeatCount
									repeatCount.setVisibility(EditText.GONE);
								}else if(arg2==2) {
									repeatCount.setVisibility(EditText.VISIBLE);
								}else {
									//TODO sterge repeatCount
									repeatCount.setVisibility(EditText.GONE);
								}
								
							}

							@Override
							public void onNothingSelected(AdapterView<?> arg0) {
								
							}
						});
					}else {
						Utils.setEnabledRecursively(ll, false);
					}
				}
			});
		}
		return view;
	}
}
